@using System.Collections
@model GameShop.ViewModels.GameViewModel;

@{
    ViewBag.Title = "This game";
    Layout = "_Main";
}

<div class="row" id="game">
    <partial name="_Errors"/>
    <div class="col-sm-12 col-lg-5">
        <div class="bigimage" style="background-image: url(/images/games/@Model.Game.Id\.jpg);"></div>
        <div class="cost-indicator">
            OR
            <form asp-controller="Games" asp-action="BuyWithMoney" asp-route-id="@Model.Game.Id" method="post">
                <input type="submit" class="indicator money" value="€@Model.Game.Price">
            </form>
            <form asp-controller="Games" asp-action="BuyWithBucks" asp-route-id="@Model.Game.Id" method="post">
                <input type="submit" class="indicator points" value="@Model.Game.CoinPrice G-Bucks">
            </form>
        </div>

    </div>
    <div class="col-sm-12 col-lg-7">
        <div class="title">@Model.Game.Title</div>
        <div class="description">@Model.Game.Description</div>
        <div class="reviews">
            <div class="reviewstitle">Reviews</div><br/>
            <div class="reviewlist">
                @foreach (var review in Model.Game.Reviews)
                {
                    <div class="review">
                        <img src="https://www.gravatar.com/avatar/@review.Author.GetGravatarHash()" class="authorpicture" alt="No avatar found"/>
                        @review.Content
                        <div class="authorname">
                            @review.Author.Firstname @review.Author.Lastname
                        </div>
                    </div>
                }

                @if (!Model.Game.Reviews.Any())
                {
                    <text>No Reviews Found</text>
                }
            </div>

            <br/>

            <a asp-controller="Games" asp-action="Review" class="button button-block button-secondary button-primary-hover">Write a Review</a>
        </div>
    </div>
</div>


